part of 'cheque_bloc.dart';

abstract class ChequeEvent extends Equatable {
  const ChequeEvent();
}

class GetChequeList extends ChequeEvent {
  final int page;
  final int pageSize;

  GetChequeList({required this.page, required this.pageSize});
  @override
  List<Object> get props => [page, pageSize];
}

class GetAllChequeList extends ChequeEvent {
  final int page;
  final int pageSize;

  GetAllChequeList({required this.page, required this.pageSize});
  @override
  List<Object> get props => [page, pageSize];
}

class GetChequeDetails extends ChequeEvent {
  final int id;

  GetChequeDetails({required this.id});

  @override
  List<Object> get props => [id];
}
